locale都乱掉了,怎么办啊,纠结

为当前最终发行版之前的所有版本提供支持
回复
头像
Lavande
论坛版主
帖子: 5349
注册时间: 2008-12-21 15:27
来自: TARDIS
送出感谢: 1 次
接收感谢: 8 次

locale都乱掉了,怎么办啊,纠结

#1

帖子 Lavande » 2011-04-01 15:05

我之前一直是英文界面,中文正常输入和显示。


昨天更新,不知道什么东西,结果早上开机发现就乱掉了
1、终端中文乱码
2、qt程序异常:goldendict不能启动(看错误信息好像是C library的locale问题),eva里用ibus输入无法上屏。
3、man之后会说LC_*什么的错误
4、locale命令显示LC_ALL什么的,没那个文件

然后我就折腾了一个上午,未果
后来注销,在登录的时候发现两个English(United States),一个是正常字体,一个是斜体,我从原来的斜体那个换成了正常字体的那个选项登录进去,发现上述问题都没有了,但是又来了新的问题
1、桌面、菜单,界面成了中文了
2、有些地方还是英文,很乱
3、locale的显示很离谱,和现实不符……
看图
附件
Screenshot.png
jtshs256
论坛版主
帖子: 22322
注册时间: 2010-07-19 21:41
系统: OS X
送出感谢: 2 次
接收感谢: 27 次

Re: locale都乱掉了,怎么办啊,纠结

#2

帖子 jtshs256 » 2011-04-01 15:11

狠正常……
NO DO NO DIE
http://a/%%30%30
头像
Ubuntu与Linux
帖子: 1211
注册时间: 2010-06-09 19:57
送出感谢: 2 次
接收感谢: 9 次

Re: locale都乱掉了,怎么办啊,纠结

#3

帖子 Ubuntu与Linux » 2011-04-01 15:21

添加另外一个英文的locate,我的原来locate坏了,不能输入汉字,firefox还闪烁,就是重新弄一个locate就好了。。。
ps,你是要英文菜单还是中文的啊
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: locale都乱掉了,怎么办啊,纠结

#4

帖子 eexpress » 2011-04-01 15:26

恩。gdm选择语言。
新版本刚出,稳定版本的bug居然最后出来了。
● 鸣学
头像
Lavande
论坛版主
帖子: 5349
注册时间: 2008-12-21 15:27
来自: TARDIS
送出感谢: 1 次
接收感谢: 8 次

Re: locale都乱掉了,怎么办啊,纠结

#5

帖子 Lavande » 2011-04-01 16:03

我要英文界面啊,但是要能够正常显示和输入中文
什么叫重新弄一个locale啊?能具体一些不?
头像
Lavande
论坛版主
帖子: 5349
注册时间: 2008-12-21 15:27
来自: TARDIS
送出感谢: 1 次
接收感谢: 8 次

Re: locale都乱掉了,怎么办啊,纠结

#6

帖子 Lavande » 2011-04-01 18:33

:em06 也不知道怎么弄的,就好了……瞎捣鼓
头像
qy117121
论坛版主
帖子: 49892
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 335 次
联系:

Re: locale都乱掉了,怎么办啊,纠结

#7

帖子 qy117121 » 2011-04-01 19:10

:em01
渠月 · QY    https://vz.rs/u
本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
jtshs256
论坛版主
帖子: 22322
注册时间: 2010-07-19 21:41
系统: OS X
送出感谢: 2 次
接收感谢: 27 次

Re: locale都乱掉了,怎么办啊,纠结

#8

帖子 jtshs256 » 2011-04-01 19:16

好了不奇怪,奇怪的是怎么会有问题……
NO DO NO DIE
http://a/%%30%30
头像
Lavande
论坛版主
帖子: 5349
注册时间: 2008-12-21 15:27
来自: TARDIS
送出感谢: 1 次
接收感谢: 8 次

Re: locale都乱掉了,怎么办啊,纠结

#9

帖子 Lavande » 2011-04-01 19:26

jtshs256 写了:好了不奇怪,奇怪的是怎么会有问题……
:em06 更新出的问题……
回复

回到 “老旧版本支持”